DefaultRemoteInvocationExecutor (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.remoting.support

## Class DefaultRemoteInvocationExecutor

- java.lang.Object
- - org.springframework.remoting.support.DefaultRemoteInvocationExecutor

- All Implemented Interfaces:
    RemoteInvocationExecutor

      public class DefaultRemoteInvocationExecutor
      extends Object
      implements RemoteInvocationExecutor

  Default implementation of the `RemoteInvocationExecutor` interface. Simply delegates to `RemoteInvocation`'s invoke method.
  Since:
    1.1
  Author:
    Juergen Hoeller
  See Also:
    `RemoteInvocation.invoke(java.lang.Object)`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultRemoteInvocationExecutor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `invoke(RemoteInvocation invocation, Object targetObject)` Perform this invocation on the given target object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultRemoteInvocationExecutor

          public DefaultRemoteInvocationExecutor()

  - ### Method Detail

    - #### invoke

          public Object invoke(RemoteInvocation invocation,
                      Object targetObject)
                        throws NoSuchMethodException,
                               IllegalAccessException,
                               InvocationTargetException

      Description copied from interface: `RemoteInvocationExecutor`
      Perform this invocation on the given target object. Typically called when a RemoteInvocation is received on the server.
      Specified by:
        `invoke` in interface `RemoteInvocationExecutor`
      Parameters:
        `invocation` - the RemoteInvocation
        `targetObject` - the target object to apply the invocation to
      Returns:
        the invocation result
      Throws:
        `NoSuchMethodException` - if the method name could not be resolved
        `IllegalAccessException` - if the method could not be accessed
        `InvocationTargetException` - if the method invocation resulted in an exception
      See Also:
        `Method.invoke(java.lang.Object, java.lang.Object...)`